syncio_buffered.h File Reference
`#include <gwenhywfar/syncio.h>`
`#include <gwenhywfar/buffer.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_BUFFERED_TYPE "buffered"

## Functions

GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Buffered_new (GWEN_SYNCIO *baseIo)
GWENHYWFAR_API int | GWEN_SyncIo_Buffered_ReadLinesToStringList (GWEN_SYNCIO *sio, int maxLines, GWEN_STRINGLIST *sl)
GWENHYWFAR_API int | GWEN_SyncIo_Buffered_ReadLineToBuffer (GWEN_SYNCIO *sio, GWEN_BUFFER *tbuf)

## Macro Definition Documentation

## GWEN_SYNCIO_BUFFERED_TYPE

#define GWEN_SYNCIO_BUFFERED_TYPE "buffered"

Definition at line 34 of file syncio_buffered.h.

## Function Documentation

## GWEN_SyncIo_Buffered_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Buffered_new | ( | GWEN_SYNCIO * | baseIo | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Buffered_ReadLinesToStringList()

GWENHYWFAR_API int GWEN_SyncIo_Buffered_ReadLinesToStringList | ( | GWEN_SYNCIO * | sio,
|  | int | maxLines,
|  | GWEN_STRINGLIST * | sl )

## GWEN_SyncIo_Buffered_ReadLineToBuffer()

GWENHYWFAR_API int GWEN_SyncIo_Buffered_ReadLineToBuffer | ( | GWEN_SYNCIO * | sio,
|  | GWEN_BUFFER * | tbuf )

References GWENHYWFAR_API.